%global	fontname	oflb-prociono
%global fontconf	62-%{fontname}.conf

Name:		%{fontname}-fonts
Version:	20090715
Release:	2%{?dist}
Summary:	A text roman with standard and discretionary ligatures, class-based kerning 
Group:		User Interface/X
License:	Public Domain
URL:		http://openfontlibrary.org/media/files/chemoelectric/206
Source0:	http://openfontlibrary.org/people/chemoelectric/chemoelectric_-_Prociono.zip
Source1:	%{name}-fontconfig.conf

BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildArch:	noarch
BuildRequires:	fontforge,fontpackages-devel
Requires:	fontpackages-filesystem

%description
A serif font created by Barry Schwartz

The name is pronounced "pro-tsee-O-no" and is Esperanto for 
either "raccoon" or the star Procyon. The author prefers to 
think of this font as a raccoon.

%prep
%setup -qc -n chemoelectric_-_Prociono.zip

%build
fontforge -lang=ff -script "-" *.sfd <<EOF
i = 1 
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5) 
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++ 
endloop
EOF

%install
rm -fr %{buildroot}

install -m 755 -d %{buildroot}%{_fontdir}
install -m 644 -p *.ttf %{buildroot}%{_fontdir}

install -m 755 -d %{buildroot}%{_fontconfig_templatedir} \
		%{buildroot}%{_fontconfig_confdir}

install -m 644 -p %{SOURCE1} \
	%{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
	%{buildroot}%{_fontconfig_confdir}/%{fontconf}

%clean
rm -rf %{buildroot}

%_font_pkg -f %{fontconf} *.ttf

%doc LICENSE

%changelog
* Tue Sep 29 2009 Ankur Sinha <ankursinha AT fedoraproject DOT org>
- 20090715-2
- Made changes according to bugzilla #512079
* Thu Jul 16 2009 Ankur Sinha <ankursinha@fedoraproject.org>
- 20090715-1
- Initial RPM build.
